using System;

namespace Server.Items
{
	public class TBoomerang : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} TBoomerang" : "{0} TBoomerang", Amount );
			}
		}
		
		int ICommodity.DescriptionNumber { get { return LabelNumber; } }

		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public TBoomerang() : this( 1 )
		{
		}

		[Constructable]
		public TBoomerang( int amount ) : base( 0x8FF )
		{
            Name = " Boomerangs ";
			Hue = 501;
            Stackable = true;
			Amount = amount;
		}

		public TBoomerang( Serial serial ) : base( serial )
		{
		}

		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}