using System;

namespace Server.Items
{
	public class TSoulGlaive : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} TSoulGlaive" : "{0} TSoulGlaive", Amount );
			}
		}
		
		int ICommodity.DescriptionNumber { get { return LabelNumber; } }

		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public TSoulGlaive() : this( 1 )
		{
		}

		[Constructable]
		public TSoulGlaive( int amount ) : base( 0x090A )
		{
            Name = " Soul Glaives ";
			Hue = 53;
            Stackable = true;
			Amount = amount;
		}

		public TSoulGlaive( Serial serial ) : base( serial )
		{
		}

		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}