using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0xF43, 0xF44 )]
	public class ThrowingAxe : BaseRanged
	{
		public override int EffectID{ get{ return 0xF43; } }
		public override Type AmmoType{ get{ return typeof( TAxe ); } }
		public override Item Ammo{ get{ return new TAxe(); } }

		public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.ArmorIgnore; } }
		public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.Disarm; } }

		public override int AosStrengthReq{ get{ return 85; } }
		public override int AosMinDamage{ get{ return 19; } }
		public override int AosMaxDamage{ get{ return 23; } }
		public override int AosSpeed{ get{ return 36; } }

		public override int OldStrengthReq{ get{ return 85; } }
		public override int OldMinDamage{ get{ return 18; } }
		public override int OldMaxDamage{ get{ return 50; } }
		public override int OldSpeed{ get{ return 36; } }

		public override int DefMaxRange{ get{ return 11; } }

		public override int InitMinHits{ get{ return 31; } }
		public override int InitMaxHits{ get{ return 80; } }

		[Constructable]
		public ThrowingAxe() : base( 0xF43 )
		{
            Name = " Throwing Axe ";
            Hue = 696;
			Weight = 7.0;
			Layer = Layer.OneHanded;

                                        
		}

		public ThrowingAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}