using System;

namespace Server.Items
{
	public class Blades : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} Blades" : "{0} Blades", Amount );
			}
		}
		
		int ICommodity.DescriptionNumber { get { return LabelNumber; } }

		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public Blades() : this( 1 )
		{
		}

		[Constructable]
		public Blades( int amount ) : base( 5110 )
		{
            Name = " Blades ";
            Hue = 88;
			Stackable = true;
			Amount = amount;
		}

		public Blades( Serial serial ) : base( serial )
		{
		}

		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}